HomePhabricator

[SECP256K1] Use the cmake version from Kitware PPA on Travis

Authored by Fabien on Jan 21 2020, 09:04.

Description

[SECP256K1] Use the cmake version from Kitware PPA on Travis

Summary:
This PPA is well maintained by Kitware, and is often updated to the
latest version. This will allow to bump the version requirement past the
Travis version (currently 3.12).

Note: this fix an issue with list(SORT) that would fail on empty lists
with cmake < 3.13. The minimum version will be bumped in a later diff to
enforce this fix.

Test Plan:
Run the Travis build, and check the cmake version in use is the one from
the PPA. See the build on repo (failure will be fixed in another diff):
https://travis-ci.org/Fabcien/secp256k1/builds/639851517

Reviewers: #bitcoin_abc, deadalnix

Reviewed By: #bitcoin_abc, deadalnix

Differential Revision: https://reviews.bitcoinabc.org/D5033

Details

Committed
FabienJan 21 2020, 14:27
Pushed
FabienJan 21 2020, 14:27
Reviewer
Restricted Project
Differential Revision
D5033: [SECP256K1] Use the cmake version from Kitware PPA on Travis
Parents
rABCe3b6c342601d: CreateNewBlock: small tweaks
Branches
Unknown
Tags
Unknown